[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Autoconf 2.52g is released

From: Eli Zaretskii
Subject: Re: Autoconf 2.52g is released
Date: Sun, 27 Jan 2002 10:35:11 +0200 (IST)

> From: Akim Demaille <address@hidden>
> Newsgroups: gnu.utils.bug
> Date: 25 Jan 2002 12:48:15 +0100
> We aim at releasing 2.53 within the next months.  This is also a call
> for people ready to:
> - improve the documentation
> - upgrade existing specific macros
> - import into Autoconf wide spread specific macros

I have one gripe about Autoconf 2.5x: its AC_CONFIG_LINKS macro does
the following:

  # Make a symlink if possible; otherwise try a hard link.
  ln -s $ac_rel_source $ac_dest 2>/dev/null ||
    ln $srcdir/$ac_source $ac_dest ||
    { { echo "$as_me:$LINENO: error: cannot link $ac_dest to 
$srcdir/$ac_source" >&5
  echo "$as_me: error: cannot link $ac_dest to $srcdir/$ac_source" >&2;}
  { (exit 1); exit 1; }; }

This assumes that either a symlink or a hard link always works.  But
on a system that doesn't support symlinks, this will fail if the
source and the build directories are on different filesystems, because
hard links fail in that case.

I think AC_CONFIG_LINKS should try `cp' as the final fallback, if both
`ln -s' and `ln' fail.  Perhaps try `cp -p' before a plain `cp'.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]